Loading...
Searching...
No Matches
jni::PrimitiveArrayCriticalDeleter< E > Class Template Reference

`#include <ownership.hpp>`

## Public Member Functions

| PrimitiveArrayCriticalDeleter ()=default
| PrimitiveArrayCriticalDeleter (JNIEnv &e, jarray< E > &a)
void | operator() (void *p) const

## Constructor & Destructor Documentation

## PrimitiveArrayCriticalDeleter() [1/2]

template<class E>

jni::PrimitiveArrayCriticalDeleter< E >::PrimitiveArrayCriticalDeleter | ( |  | ) |

default

## PrimitiveArrayCriticalDeleter() [2/2]

template<class E>

jni::PrimitiveArrayCriticalDeleter< E >::PrimitiveArrayCriticalDeleter | ( | JNIEnv & | e,
|  | jarray< E > & | a )

inline

## Member Function Documentation

## operator()()

template<class E>

void jni::PrimitiveArrayCriticalDeleter< E >::operator() | ( | void * | p | ) | const

inline

The documentation for this class was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/jni/ownership.hpp